//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcomm.hpp"
#include "nrcommbox.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TnrDeviceBox *nrDeviceBox1;
        TnrComm *nrComm1;
        TListView *lvProperties;
        void __fastcall nrDeviceBox1Change(TObject *Sender);
private:	// User declarations
public:		// User declarations
        void __fastcall TForm1::AddInfo(AnsiString sCapt, AnsiString sVal);
        void __fastcall TForm1::AddDeviceInfo(TnrDevice * Dev);
        __fastcall TForm1(TComponent* Owner);
        int __fastcall WMDeviceChange(TMessage &Msg);
        BEGIN_MESSAGE_MAP
        MESSAGE_HANDLER(WM_DEVICECHANGE,TMessage,WMDeviceChange);
        END_MESSAGE_MAP(TForm);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
